var oEditor		= window.parent.InnerDialogLoaded();
var FCK			= oEditor.FCK;
var FCKLang		= oEditor.FCKLang;
var FCKConfig	= oEditor.FCKConfig;

window.onload = function()
{
	oEditor.FCKLanguageManager.TranslatePage(document);
	window.parent.SetAutoSize(true);
	window.parent.SetOkButton(true);
}

function Ok()
{
	if (GetE('txtUrl').value.length == 0)
	{
		GetE('txtUrl').focus();
		alert(oEditor.FCKLang.DlgAlertUrl);
		return false;
	}
	tag = (GetE('mediatype').value == 'media') ? 'media' : 'flash';
	FCK.InsertHtml('['+tag+'='+GetE('txtHeight').value+','+GetE('txtWidth').value+']'+GetE('txtUrl').value+'[/'+tag+']');
	
	return true;
}